<?php

namespace App\Element;

use App\Set\Set;

class Element
{
    public function __construct(
        private int $id,
        private string $title,
        private Set $set,
        private ?Element $parentElement,
    ) {}

    public function getId(): int
    {
        return $this->id;
    }

    public function getTitle(): string
    {
        return $this->title;
    }

    public function getSet(): Set
    {
        return $this->set;
    }

    public function getParentElement(): ?Element
    {
        return $this->parentElement;
    }
}
